Subject: Re: RFC 2461[bis]: RS with srcaddr but w/o SLLAO

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Wed, 09 Mar 2005 05:12:39 +0900

>>>>> On Tue, 22 Feb 2005 16:26:26 +1100, 
>>>>> Greg Daley <[email-masked]> said:

Okay, so this is what was referred to in the meeting today:

> How about a paragraph (maybe somewhere else) saying:

> "... It is possible that a host may receive a solicitation or a router
>       advertisement without a link-layer address option included.
>       These messages will not create or update neighbor cache entries,
>       except with respect to the IsRouter flag as specified in
>       Sections XXX and YYY.

>       If a neighbour cache entry does not exist for the source of such a
>       message, Address Resolution will be required before unicast
>       communications with that address to begin.
>       This is particularly relevant for unicast responses to
>       solicitations where an additional packet exchange is required for
>       advertisement delivery.
> ..."

I can live with this approach, but I responded to this message in the
mailing list with a slightly different flavor (attached below).

I don't have a strong opinion on either way, and leave it to you,
Hesham (as document editor), or the wg as a whole.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

Subject: Re: RFC 2461[bis]: RS with srcaddr but w/o SLLAO
From: JINMEI Tatuya / 神明達哉<[email-masked]>
To: [email-masked]
Cc: "Soliman, Hesham" <[email-masked]>, Mark Doll <[email-masked]>, Roland Bless <[email-masked]>, [email-masked]
Date: Wed, 23 Feb 2005 11:55:25 +0900
List-Id: "IP Version 6 Working Group \(ipv6\)" <ipv6.ietf.org>

Hi,

>>>>> On Wed, 23 Feb 2005 10:27:02 +1100, 
>>>>> Greg Daley <[email-masked]> said:

> It has been a bit confusing with crossing e-mails and
> timezone differences.

Sorry, I actually noticed the possible confusion when I was writing
the messages, but I simply let it go..

> I think that there's agreement for clarification.

Yes, I think so.

> I think that people agree what needs to be clarified.

Ditto.

> I'm not sure if it's decided where to put the clarification
> (but I don't care myself, so long as everyone else agrees)

Actually, I'm not sure, either.

> I'm not sure if there is a text which is agreed.
> (I've heard more harmonious responses in later text, but
>   there were two or three fairly related pieces of text going round).

Again, I'm not sure, either.  But I agreed on the Christian's second
proposal **if we agree on the need for revising Section 6.2.6**.

I don't have a strong preference on how to fix the issue, but if I
were to ask, I'd

- at least add a general note about what the node should do when it
  receives an unsolicited ND message (NS, RS, RA, Redirect) without
  LLAO and does not have a corresponding neighbor cache.  I don't care
  about the place, but I'd probably use Section 7.3.3, and

- updated APPENDIX C (state machine) accordingly, and

- (optionally) describe a bit more details of each case (e.g., add
  clarification 6.2.6 for the RS case)

Hope this helps,

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Soliman, Hesham" <[email-masked]>
Date: Tue, 8 Mar 2005 17:35:21 -0500

Hi Tatuya, 

I'm not sure what was said in the meeting but at least my intention
was to use this text in addition to what you suggested. I can see
that I didn't mention the second bullet in your suggestion. Just a slip.
I'll fix that part of Appendix C. 
Also adding Greg's text to section 7.3.3 is fine with me unless someone else objects with
a good reason. 

I already addressed the third bullet in your email, I intend to address the specific
sections.

Hesham

 > -----Original Message-----
 > From: [email-masked] 
 > [mailto:[email-masked]]
 > Sent: Tuesday, March 08, 2005 3:13 PM
 > Cc: Soliman, Hesham; [email-masked]

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

---

From: Greg Daley <[email-masked]>
Date: Wed, 09 Mar 2005 04:20:32 +0000 (GMT)

Hi Hesham, 

----- Original Message -----
From: "Soliman, Hesham" <[email-masked]>
Date: Tuesday, March 8, 2005 10:35 pm
Subject: RE: RFC 2461[bis]: RS with srcaddr but w/o SLLAO

> that I didn't mention the second bullet in your suggestion. Just a 
> slip.I'll fix that part of Appendix C. 

I'm glad you were paying attention. :)

Thanks for that.   We'll have a look at the 
text as proposed, but it will probably be OK,
based on what we saw in the session.

Greg